com.fasterxml.jackson.dataformat.javaprop

## Class JavaPropsMapper

- java.lang.Object
- - com.fasterxml.jackson.core.TreeCodec
  - - com.fasterxml.jackson.core.ObjectCodec
    - - com.fasterxml.jackson.databind.ObjectMapper
      - - com.fasterxml.jackson.dataformat.javaprop.JavaPropsMapper

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class JavaPropsMapper
      extends com.fasterxml.jackson.databind.ObjectMapper

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ObjectMapper

      `com.fasterxml.jackson.databind.ObjectMapper.DefaultTypeResolverBuilder, com.fasterxml.jackson.databind.ObjectMapper.DefaultTyping`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ObjectMapper

      `_configOverrides, _deserializationConfig, _deserializationContext, _injectableValues, _jsonFactory, _mixIns, _registeredModuleTypes, _rootDeserializers, _serializationConfig, _serializerFactory, _serializerProvider, _subtypeResolver, _typeFactory, DEFAULT_ANNOTATION_INTROSPECTOR, DEFAULT_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `JavaPropsMapper()`
    `` | `JavaPropsMapper(JavaPropsFactory f)`
    `protected` | `JavaPropsMapper(JavaPropsMapper src)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Properties` | `_env()`
    `JavaPropsMapper` | `copy()`
    `JavaPropsFactory` | `getFactory()`
    `<T> T` | `readEnvVariablesAs(JavaPropsSchema schema, Class<T> valueType)` Convenience method, functionally equivalent to:
    `<T> T` | `readEnvVariablesAs(JavaPropsSchema schema, com.fasterxml.jackson.databind.JavaType valueType)` Convenience method, functionally equivalent to:
    `<T> T` | `readPropertiesAs(Properties props, Class<T> valueType)` Convenience method, functionally equivalent to:
    `<T> T` | `readPropertiesAs(Properties props, JavaPropsSchema schema, Class<T> valueType)` Convenience method which uses given `Properties` as the source as if they had been read from an external source, processes them (splits paths etc), and then binds as given result value.
    `<T> T` | `readPropertiesAs(Properties props, JavaPropsSchema schema, com.fasterxml.jackson.databind.JavaType valueType)` Convenience method which uses given `Properties` as the source as if they had been read from an external source, processes them (splits paths etc), and then binds as given result value.
    `<T> T` | `readPropertiesAs(Properties props, com.fasterxml.jackson.databind.JavaType valueType)` Convenience method, functionally equivalent to:
    `<T> T` | `readSystemPropertiesAs(JavaPropsSchema schema, Class<T> valueType)` Convenience method, functionally equivalent to:
    `<T> T` | `readSystemPropertiesAs(JavaPropsSchema schema, com.fasterxml.jackson.databind.JavaType valueType)` Convenience method, functionally equivalent to:
    `com.fasterxml.jackson.core.Version` | `version()`
    `void` | `writeValue(Properties targetProps, Object value)` Convenience method that "writes" given `value` as properties in given `Properties` object.
    `void` | `writeValue(Properties targetProps, Object value, JavaPropsSchema schema)` Convenience method that "writes" given `value` as properties in given `Properties` object.
    `Properties` | `writeValueAsProperties(Object value)` Convenience method that serializes given value but so that results are stored in a newly constructed `Properties`.
    `Properties` | `writeValueAsProperties(Object value, JavaPropsSchema schema)` Convenience method that serializes given value but so that results are stored in given `Properties` instance.

    - ### Methods inherited from class com.fasterxml.jackson.databind.ObjectMapper

      `_checkInvalidCopy, _configAndWriteValue, _convert, _findRootDeserializer, _initForReading, _initForReading, _newReader, _newReader, _newWriter, _newWriter, _newWriter, _readMapAndClose, _readTreeAndClose, _readValue, _serializerProvider, _unwrapAndDeserialize, _verifyNoTrailingTokens, _verifySchemaType, acceptJsonFormatVisitor, acceptJsonFormatVisitor, addHandler, addMixIn, addMixInAnnotations, canDeserialize, canDeserialize, canSerialize, canSerialize, clearProblemHandlers, configOverride, configure, configure, configure, configure, configure, constructType, convertValue, convertValue, convertValue, createArrayNode, createDeserializationContext, createObjectNode, defaultClassIntrospector, disable, disable, disable, disable, disable, disable, disable, disableDefaultTyping, enable, enable, enable, enable, enable, enable, enable, enableDefaultTyping, enableDefaultTyping, enableDefaultTyping, enableDefaultTypingAsProperty, findAndRegisterModules, findMixInClassFor, findModules, findModules, generateJsonSchema, getDateFormat, getDeserializationConfig, getDeserializationContext, getInjectableValues, getJsonFactory, getNodeFactory, getPropertyNamingStrategy, getSerializationConfig, getSerializerFactory, getSerializerProvider, getSerializerProviderInstance, getSubtypeResolver, getTypeFactory, getVisibilityChecker, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, mixInCount, reader, reader, reader, reader, reader, reader, reader, reader, reader, reader, reader, readerFor, readerFor, readerFor, readerForUpdating, readerWithView, readTree, readTree, readTree, readTree, readTree, readTree, readTree, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValues, readValues, readValues, readValues, registerModule, registerModules, registerModules, registerSubtypes, registerSubtypes, registerSubtypes, setAnnotationIntrospector, setAnnotationIntrospectors, setBase64Variant, setConfig, setConfig, setDateFormat, setDefaultMergeable, setDefaultPrettyPrinter, setDefaultPropertyInclusion, setDefaultPropertyInclusion, setDefaultSetterInfo, setDefaultTyping, setDefaultVisibility, setFilterProvider, setFilters, setHandlerInstantiator, setInjectableValues, setLocale, setMixInAnnotations, setMixInResolver, setMixIns, setNodeFactory, setPropertyInclusion, setPropertyNamingStrategy, setSerializationInclusion, setSerializerFactory, setSerializerProvider, setSubtypeResolver, setTimeZone, setTypeFactory, setVisibility, setVisibility, setVisibilityChecker, treeAsTokens, treeToValue, updateValue, valueToTree, writer, writer, writer, writer, writer, writer, writer, writer, writer, writer, writerFor, writerFor, writerFor, writerWithDefaultPrettyPrinter, writerWithType, writerWithType, writerWithType, writerWithView, writeTree, writeTree, writeValue, writeValue, writeValue, writeValue, writeValue, writeValueAsBytes, writeValueAsString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaPropsMapper

          public JavaPropsMapper()

    - #### JavaPropsMapper

          public JavaPropsMapper(JavaPropsFactory f)

    - #### JavaPropsMapper

          protected JavaPropsMapper(JavaPropsMapper src)

  - ### Method Detail

    - #### copy

          public JavaPropsMapper copy()

      Overrides:
        `copy` in class `com.fasterxml.jackson.databind.ObjectMapper`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Overrides:
        `version` in class `com.fasterxml.jackson.databind.ObjectMapper`

    - #### getFactory

          public JavaPropsFactory getFactory()

      Overrides:
        `getFactory` in class `com.fasterxml.jackson.databind.ObjectMapper`

    - #### readPropertiesAs

          public <T> T readPropertiesAs(Properties props,
                               JavaPropsSchema schema,
                               Class<T> valueType)
                             throws IOException

      Convenience method which uses given `Properties` as the source as if they had been read from an external source, processes them (splits paths etc), and then binds as given result value.

      Note that this is NOT identical to calling `ObjectMapper.convertValue(Object, Class)`; rather, it would be similar to writing `Properties` out into a File, then calling `readValue()` on this mapper to bind contents.

      Throws:
        `IOException`
      Since:
        2.9

    - #### readPropertiesAs

          public <T> T readPropertiesAs(Properties props,
                               JavaPropsSchema schema,
                               com.fasterxml.jackson.databind.JavaType valueType)
                             throws IOException

      Convenience method which uses given `Properties` as the source as if they had been read from an external source, processes them (splits paths etc), and then binds as given result value.

      Note that this is NOT identical to calling `ObjectMapper.convertValue(Object, Class)`; rather, it would be similar to writing `Properties` out into a File, then calling `readValue()` on this mapper to bind contents.

      Throws:
        `IOException`
      Since:
        2.9

    - #### readPropertiesAs

          public <T> T readPropertiesAs(Properties props,
                               Class<T> valueType)
                             throws IOException

      Convenience method, functionally equivalent to:

             readPropertiesAs(props, JavaPropsSchema.emptySchema(), valueType);

      Throws:
        `IOException`
      Since:
        2.9

    - #### readPropertiesAs

          public <T> T readPropertiesAs(Properties props,
                               com.fasterxml.jackson.databind.JavaType valueType)
                             throws IOException

      Convenience method, functionally equivalent to:

             readPropertiesAs(props, JavaPropsSchema.emptySchema(), valueType);

      Throws:
        `IOException`
      Since:
        2.9

    - #### readSystemPropertiesAs

          public <T> T readSystemPropertiesAs(JavaPropsSchema schema,
                                     Class<T> valueType)
                                   throws IOException

      Convenience method, functionally equivalent to:

             readPropertiesAs(System.getProperties(), schema, valueType);

      Throws:
        `IOException`
      Since:
        2.9

    - #### readSystemPropertiesAs

          public <T> T readSystemPropertiesAs(JavaPropsSchema schema,
                                     com.fasterxml.jackson.databind.JavaType valueType)
                                   throws IOException

      Convenience method, functionally equivalent to:

             readPropertiesAs(System.getProperties(), schema, valueType);

      Throws:
        `IOException`
      Since:
        2.9

    - #### readEnvVariablesAs

          public <T> T readEnvVariablesAs(JavaPropsSchema schema,
                                 Class<T> valueType)
                               throws IOException

      Convenience method, functionally equivalent to:

             readPropertiesAs(convertMapToProperties(System.getenv()), schema, valueType);

      Throws:
        `IOException`
      Since:
        2.9

    - #### readEnvVariablesAs

          public <T> T readEnvVariablesAs(JavaPropsSchema schema,
                                 com.fasterxml.jackson.databind.JavaType valueType)
                               throws IOException

      Convenience method, functionally equivalent to:

             readPropertiesAs(convertMapToProperties(System.getenv()), schema, valueType);

      Throws:
        `IOException`
      Since:
        2.9

    - #### _env

          protected Properties _env()

    - #### writeValue

          public void writeValue(Properties targetProps,
                        Object value)
                          throws IOException

      Convenience method that "writes" given `value` as properties in given `Properties` object.
      Throws:
        `IOException`
      Since:
        2.9

    - #### writeValue

          public void writeValue(Properties targetProps,
                        Object value,
                        JavaPropsSchema schema)
                          throws IOException

      Convenience method that "writes" given `value` as properties in given `Properties` object.
      Throws:
        `IOException`
      Since:
        2.9

    - #### writeValueAsProperties

          public Properties writeValueAsProperties(Object value)
                                            throws IOException

      Convenience method that serializes given value but so that results are stored in a newly constructed `Properties`. Functionally equivalent to serializing in a File and reading contents into `Properties`.
      Throws:
        `IOException`
      Since:
        2.9

    - #### writeValueAsProperties

          public Properties writeValueAsProperties(Object value,
                                          JavaPropsSchema schema)
                                            throws IOException

      Convenience method that serializes given value but so that results are stored in given `Properties` instance.
      Throws:
        `IOException`
      Since:
        2.9

Copyright © 2017 FasterXML. All rights reserved.